This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998050 - XMvn does not use 'classifier' in resolution
XMvn does not use 'classifier' in resolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmvn (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 16:53 EDT by Roland Grunberg
Modified: 2013-09-11 07:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 07:49:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Grunberg 2013-08-16 16:53:37 EDT
I noticed that FedoraWorkspaceReader#findArtifact ignores an artifact's classifier (if any) when performing resolution. I've seen one case where (in an rpm build) the specfile performed a maven build, installing multiple artifacts distinguishable by 'classifier' into the reactor cache. A second build was then performed which resolved both artifacts to the same jar. I think the build succeeded anyways so this isn't as urgent.
Comment 1 Mikolaj Izdebski 2013-08-19 04:38:03 EDT
Classifiers and stereotypes are currently not supported by XMvn, but their support is planned in the next major release of XMvn.
Comment 2 Mikolaj Izdebski 2013-09-11 07:49:31 EDT
Fixed in xmvn-1.0.0-2
Comment 3 Mikolaj Izdebski 2013-09-11 07:49:58 EDT
I believe that this bug is fixed in xmvn-1.0.0-2,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=463528

Note You need to log in before you can comment on or make changes to this bug.